<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:58 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
DefaultHttpParams (HttpClient 3.1 API)
</TITLE>

<META NAME="keywords" CONTENT="org.apache.commons.httpclient.params.DefaultHttpParams class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultHttpParams (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultHttpParams.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParamsFactory.html" title="class in org.apache.commons.httpclient.params"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/params/DefaultHttpParams.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultHttpParams.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.commons.httpclient.params</FONT>
<BR>
Class DefaultHttpParams</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.commons.httpclient.params.DefaultHttpParams</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, <A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../../org/apache/commons/httpclient/params/HostParams.html" title="class in org.apache.commons.httpclient.params">HostParams</A>, <A HREF="../../../../../org/apache/commons/httpclient/params/HttpConnectionParams.html" title="class in org.apache.commons.httpclient.params">HttpConnectionParams</A>, <A HREF="../../../../../org/apache/commons/httpclient/params/HttpMethodParams.html" title="class in org.apache.commons.httpclient.params">HttpMethodParams</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>DefaultHttpParams</B><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A></DL>
</PRE>

<P>
This class represents a collection of HTTP protocol parameters. Protocol parameters
 may be linked together to form a hierarchy. If a particular parameter value has not been
 explicitly defined in the collection itself, its value will be drawn from the parent 
 collection of parameters.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>3.0</DD>
<DT><B>Version:</B></DT>
  <DD>$Revision$</DD>
<DT><B>Author:</B></DT>
  <DD><a href="mailto:oleg@ural.ru">Oleg Kalnichevski</a></DD>
<DT><B>See Also:</B><DD><A HREF="../../../../../serialized-form.html#org.apache.commons.httpclient.params.DefaultHttpParams">Serialized Form</A></DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#DefaultHttpParams()">DefaultHttpParams</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new collection of parameters with the collection returned
 by <A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#getDefaultParams()"><CODE>getDefaultParams()</CODE></A> as a parent.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#DefaultHttpParams(org.apache.commons.httpclient.params.HttpParams)">DefaultHttpParams</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A>&nbsp;defaults)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new collection of parameters with the given parent.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes all parameters from this collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Clones this collection of parameters.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#getBooleanParameter(java.lang.String, boolean)">getBooleanParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                    boolean&nbsp;defaultValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Boolean.html" title="class or interface in java.lang"><CODE>Boolean</CODE></A> parameter value with the given name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#getDefaultParams()">getDefaultParams</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets the default HttpParams to be used.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#getDefaults()">getDefaults</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the parent collection that this collection will defer to
 for a default value if a particular parameter is not explicitly 
 set in the collection itself</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#getDoubleParameter(java.lang.String, double)">getDoubleParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                   double&nbsp;defaultValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang"><CODE>Double</CODE></A> parameter value with the given name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#getIntParameter(java.lang.String, int)">getIntParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                int&nbsp;defaultValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang"><CODE>Integer</CODE></A> parameter value with the given name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#getLongParameter(java.lang.String, long)">getLongParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                 long&nbsp;defaultValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang"><CODE>Long</CODE></A> parameter value with the given name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#getParameter(java.lang.String)">getParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a parameter value with the given name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#isParameterFalse(java.lang.String)">isParameterFalse</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>true</tt> if the parameter is either not set or is <tt>false</tt>, 
 <tt>false</tt> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#isParameterSet(java.lang.String)">isParameterSet</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>true</tt> if the parameter is set at any level, <tt>false</tt> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#isParameterSetLocally(java.lang.String)">isParameterSetLocally</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>true</tt> if the parameter is set locally, <tt>false</tt> otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#isParameterTrue(java.lang.String)">isParameterTrue</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <tt>true</tt> if the parameter is set and is <tt>true</tt>, <tt>false</tt>
 otherwise.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#setBooleanParameter(java.lang.String, boolean)">setBooleanParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                    boolean&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Boolean.html" title="class or interface in java.lang"><CODE>Boolean</CODE></A> to the parameter with the given name</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#setDefaults(org.apache.commons.httpclient.params.HttpParams)">setDefaults</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns the parent collection that this collection will defer to
 for a default value if a particular parameter is not explicitly 
 set in the collection itself</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#setDoubleParameter(java.lang.String, double)">setDoubleParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                   double&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang"><CODE>Double</CODE></A> to the parameter with the given name</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#setHttpParamsFactory(org.apache.commons.httpclient.params.HttpParamsFactory)">setHttpParamsFactory</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/params/HttpParamsFactory.html" title="interface in org.apache.commons.httpclient.params">HttpParamsFactory</A>&nbsp;httpParamsFactory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the factory that will provide the default HttpParams.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#setIntParameter(java.lang.String, int)">setIntParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang"><CODE>Integer</CODE></A> to the parameter with the given name</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#setLongParameter(java.lang.String, long)">setLongParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                 long&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang"><CODE>Long</CODE></A> to the parameter with the given name</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#setParameter(java.lang.String, java.lang.Object)">setParameter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns the value to the parameter with the given name</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#setParameters(java.lang.String[], java.lang.Object)">setParameters</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;names,
              <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns the value to all the parameter with the given names</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultHttpParams(org.apache.commons.httpclient.params.HttpParams)"><!-- --></A><H3>
DefaultHttpParams</H3>
<PRE>
public <B>DefaultHttpParams</B>(<A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A>&nbsp;defaults)</PRE>
<DL>
<DD>Creates a new collection of parameters with the given parent. 
 The collection will defer to its parent for a default value 
 if a particular parameter is not explicitly set in the collection
 itself.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>defaults</CODE> - the parent collection to defer to, if a parameter
 is not explictly set in the collection itself.</DL>
</DL>
<HR>

<A NAME="DefaultHttpParams()"><!-- --></A><H3>
DefaultHttpParams</H3>
<PRE>
public <B>DefaultHttpParams</B>()</PRE>
<DL>
<DD>Creates a new collection of parameters with the collection returned
 by <A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#getDefaultParams()"><CODE>getDefaultParams()</CODE></A> as a parent. The collection will defer
 to its parent for a default value if a particular parameter is not 
 explicitly set in the collection itself.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#getDefaultParams()"><CODE>getDefaultParams()</CODE></A></DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getDefaultParams()"><!-- --></A><H3>
getDefaultParams</H3>
<PRE>
public static <A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A> <B>getDefaultParams</B>()</PRE>
<DL>
<DD>Gets the default HttpParams to be used.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the value returned from <code>HttpParamsFactory#getDefaultParams()</code><DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParamsFactory.html#getDefaultParams()"><CODE>HttpParamsFactory.getDefaultParams()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setHttpParamsFactory(org.apache.commons.httpclient.params.HttpParamsFactory)"><!-- --></A><H3>
setHttpParamsFactory</H3>
<PRE>
public static void <B>setHttpParamsFactory</B>(<A HREF="../../../../../org/apache/commons/httpclient/params/HttpParamsFactory.html" title="interface in org.apache.commons.httpclient.params">HttpParamsFactory</A>&nbsp;httpParamsFactory)</PRE>
<DL>
<DD>Sets the factory that will provide the default HttpParams.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>httpParamsFactory</CODE> - an instance of HttpParamsFactory<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParams.html#getDefaultParams()"><CODE>getDefaultParams()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getDefaults()"><!-- --></A><H3>
getDefaults</H3>
<PRE>
public <A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A> <B>getDefaults</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getDefaults()">HttpParams</A></CODE></B></DD>
<DD>Returns the parent collection that this collection will defer to
 for a default value if a particular parameter is not explicitly 
 set in the collection itself
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getDefaults()">getDefaults</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the parent collection to defer to, if a particular parameter
 is not explictly set in the collection itself.<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setDefaults(org.apache.commons.httpclient.params.HttpParams)"><CODE>HttpParams.setDefaults(HttpParams)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDefaults(org.apache.commons.httpclient.params.HttpParams)"><!-- --></A><H3>
setDefaults</H3>
<PRE>
public void <B>setDefaults</B>(<A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setDefaults(org.apache.commons.httpclient.params.HttpParams)">HttpParams</A></CODE></B></DD>
<DD>Assigns the parent collection that this collection will defer to
 for a default value if a particular parameter is not explicitly 
 set in the collection itself
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setDefaults(org.apache.commons.httpclient.params.HttpParams)">setDefaults</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>params</CODE> - the parent collection to defer to, if a particular 
 parameter is not explictly set in the collection itself.<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getDefaults()"><CODE>HttpParams.getDefaults()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getParameter(java.lang.String)"><!-- --></A><H3>
getParameter</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <B>getParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getParameter(java.lang.String)">HttpParams</A></CODE></B></DD>
<DD>Returns a parameter value with the given name. If the parameter is
 not explicitly defined in this collection, its value will be drawn 
 from a higer level collection at which this parameter is defined.
 If the parameter is not explicitly set anywhere up the hierarchy,
 <tt>null</tt> value is returned.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getParameter(java.lang.String)">getParameter</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the parent name.
<DT><B>Returns:</B><DD>an object that represents the value of the parameter.<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setParameter(java.lang.String, java.lang.Object)"><CODE>HttpParams.setParameter(String, Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setParameter(java.lang.String, java.lang.Object)"><!-- --></A><H3>
setParameter</H3>
<PRE>
public void <B>setParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setParameter(java.lang.String, java.lang.Object)">HttpParams</A></CODE></B></DD>
<DD>Assigns the value to the parameter with the given name
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setParameter(java.lang.String, java.lang.Object)">setParameter</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name<DD><CODE>value</CODE> - parameter value</DL>
</DD>
</DL>
<HR>

<A NAME="setParameters(java.lang.String[], java.lang.Object)"><!-- --></A><H3>
setParameters</H3>
<PRE>
public void <B>setParameters</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;names,
                          <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;value)</PRE>
<DL>
<DD>Assigns the value to all the parameter with the given names
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>names</CODE> - array of parameter name<DD><CODE>value</CODE> - parameter value</DL>
</DD>
</DL>
<HR>

<A NAME="getLongParameter(java.lang.String, long)"><!-- --></A><H3>
getLongParameter</H3>
<PRE>
public long <B>getLongParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                             long&nbsp;defaultValue)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getLongParameter(java.lang.String, long)">HttpParams</A></CODE></B></DD>
<DD>Returns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang"><CODE>Long</CODE></A> parameter value with the given name. 
 If the parameter is not explicitly defined in this collection, its 
 value will be drawn from a higer level collection at which this parameter 
 is defined. If the parameter is not explicitly set anywhere up the hierarchy,
 the default value is returned.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getLongParameter(java.lang.String, long)">getLongParameter</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the parent name.<DD><CODE>defaultValue</CODE> - the default value.
<DT><B>Returns:</B><DD>a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang"><CODE>Long</CODE></A> that represents the value of the parameter.<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setLongParameter(java.lang.String, long)"><CODE>HttpParams.setLongParameter(String, long)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setLongParameter(java.lang.String, long)"><!-- --></A><H3>
setLongParameter</H3>
<PRE>
public void <B>setLongParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                             long&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setLongParameter(java.lang.String, long)">HttpParams</A></CODE></B></DD>
<DD>Assigns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Long.html" title="class or interface in java.lang"><CODE>Long</CODE></A> to the parameter with the given name
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setLongParameter(java.lang.String, long)">setLongParameter</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name<DD><CODE>value</CODE> - parameter value</DL>
</DD>
</DL>
<HR>

<A NAME="getIntParameter(java.lang.String, int)"><!-- --></A><H3>
getIntParameter</H3>
<PRE>
public int <B>getIntParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                           int&nbsp;defaultValue)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getIntParameter(java.lang.String, int)">HttpParams</A></CODE></B></DD>
<DD>Returns an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang"><CODE>Integer</CODE></A> parameter value with the given name. 
 If the parameter is not explicitly defined in this collection, its 
 value will be drawn from a higer level collection at which this parameter 
 is defined. If the parameter is not explicitly set anywhere up the hierarchy,
 the default value is returned.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getIntParameter(java.lang.String, int)">getIntParameter</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the parent name.<DD><CODE>defaultValue</CODE> - the default value.
<DT><B>Returns:</B><DD>a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang"><CODE>Integer</CODE></A> that represents the value of the parameter.<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setIntParameter(java.lang.String, int)"><CODE>HttpParams.setIntParameter(String, int)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setIntParameter(java.lang.String, int)"><!-- --></A><H3>
setIntParameter</H3>
<PRE>
public void <B>setIntParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                            int&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setIntParameter(java.lang.String, int)">HttpParams</A></CODE></B></DD>
<DD>Assigns an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang"><CODE>Integer</CODE></A> to the parameter with the given name
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setIntParameter(java.lang.String, int)">setIntParameter</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name<DD><CODE>value</CODE> - parameter value</DL>
</DD>
</DL>
<HR>

<A NAME="getDoubleParameter(java.lang.String, double)"><!-- --></A><H3>
getDoubleParameter</H3>
<PRE>
public double <B>getDoubleParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                                 double&nbsp;defaultValue)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getDoubleParameter(java.lang.String, double)">HttpParams</A></CODE></B></DD>
<DD>Returns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang"><CODE>Double</CODE></A> parameter value with the given name. 
 If the parameter is not explicitly defined in this collection, its 
 value will be drawn from a higer level collection at which this parameter 
 is defined. If the parameter is not explicitly set anywhere up the hierarchy,
 the default value is returned.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getDoubleParameter(java.lang.String, double)">getDoubleParameter</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the parent name.<DD><CODE>defaultValue</CODE> - the default value.
<DT><B>Returns:</B><DD>a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang"><CODE>Double</CODE></A> that represents the value of the parameter.<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setDoubleParameter(java.lang.String, double)"><CODE>HttpParams.setDoubleParameter(String, double)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDoubleParameter(java.lang.String, double)"><!-- --></A><H3>
setDoubleParameter</H3>
<PRE>
public void <B>setDoubleParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                               double&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setDoubleParameter(java.lang.String, double)">HttpParams</A></CODE></B></DD>
<DD>Assigns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Double.html" title="class or interface in java.lang"><CODE>Double</CODE></A> to the parameter with the given name
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setDoubleParameter(java.lang.String, double)">setDoubleParameter</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name<DD><CODE>value</CODE> - parameter value</DL>
</DD>
</DL>
<HR>

<A NAME="getBooleanParameter(java.lang.String, boolean)"><!-- --></A><H3>
getBooleanParameter</H3>
<PRE>
public boolean <B>getBooleanParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                                   boolean&nbsp;defaultValue)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getBooleanParameter(java.lang.String, boolean)">HttpParams</A></CODE></B></DD>
<DD>Returns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Boolean.html" title="class or interface in java.lang"><CODE>Boolean</CODE></A> parameter value with the given name. 
 If the parameter is not explicitly defined in this collection, its 
 value will be drawn from a higer level collection at which this parameter 
 is defined. If the parameter is not explicitly set anywhere up the hierarchy,
 the default value is returned.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#getBooleanParameter(java.lang.String, boolean)">getBooleanParameter</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the parent name.<DD><CODE>defaultValue</CODE> - the default value.
<DT><B>Returns:</B><DD>a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Boolean.html" title="class or interface in java.lang"><CODE>Boolean</CODE></A> that represents the value of the parameter.<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setBooleanParameter(java.lang.String, boolean)"><CODE>HttpParams.setBooleanParameter(String, boolean)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setBooleanParameter(java.lang.String, boolean)"><!-- --></A><H3>
setBooleanParameter</H3>
<PRE>
public void <B>setBooleanParameter</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name,
                                boolean&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setBooleanParameter(java.lang.String, boolean)">HttpParams</A></CODE></B></DD>
<DD>Assigns a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Boolean.html" title="class or interface in java.lang"><CODE>Boolean</CODE></A> to the parameter with the given name
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#setBooleanParameter(java.lang.String, boolean)">setBooleanParameter</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name<DD><CODE>value</CODE> - parameter value</DL>
</DD>
</DL>
<HR>

<A NAME="isParameterSet(java.lang.String)"><!-- --></A><H3>
isParameterSet</H3>
<PRE>
public boolean <B>isParameterSet</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#isParameterSet(java.lang.String)">HttpParams</A></CODE></B></DD>
<DD>Returns <tt>true</tt> if the parameter is set at any level, <tt>false</tt> otherwise.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#isParameterSet(java.lang.String)">isParameterSet</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name
<DT><B>Returns:</B><DD><tt>true</tt> if the parameter is set at any level, <tt>false</tt>
 otherwise.</DL>
</DD>
</DL>
<HR>

<A NAME="isParameterSetLocally(java.lang.String)"><!-- --></A><H3>
isParameterSetLocally</H3>
<PRE>
public boolean <B>isParameterSetLocally</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#isParameterSetLocally(java.lang.String)">HttpParams</A></CODE></B></DD>
<DD>Returns <tt>true</tt> if the parameter is set locally, <tt>false</tt> otherwise.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#isParameterSetLocally(java.lang.String)">isParameterSetLocally</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name
<DT><B>Returns:</B><DD><tt>true</tt> if the parameter is set locally, <tt>false</tt>
 otherwise.</DL>
</DD>
</DL>
<HR>

<A NAME="isParameterTrue(java.lang.String)"><!-- --></A><H3>
isParameterTrue</H3>
<PRE>
public boolean <B>isParameterTrue</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#isParameterTrue(java.lang.String)">HttpParams</A></CODE></B></DD>
<DD>Returns <tt>true</tt> if the parameter is set and is <tt>true</tt>, <tt>false</tt>
 otherwise.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#isParameterTrue(java.lang.String)">isParameterTrue</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name
<DT><B>Returns:</B><DD><tt>true</tt> if the parameter is set and is <tt>true</tt>, <tt>false</tt>
 otherwise.</DL>
</DD>
</DL>
<HR>

<A NAME="isParameterFalse(java.lang.String)"><!-- --></A><H3>
isParameterFalse</H3>
<PRE>
public boolean <B>isParameterFalse</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#isParameterFalse(java.lang.String)">HttpParams</A></CODE></B></DD>
<DD>Returns <tt>true</tt> if the parameter is either not set or is <tt>false</tt>, 
 <tt>false</tt> otherwise.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html#isParameterFalse(java.lang.String)">isParameterFalse</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/params/HttpParams.html" title="interface in org.apache.commons.httpclient.params">HttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name
<DT><B>Returns:</B><DD><tt>true</tt> if the parameter is either not set or is <tt>false</tt>, 
 <tt>false</tt> otherwise.</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public void <B>clear</B>()</PRE>
<DL>
<DD>Removes all parameters from this collection.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <B>clone</B>()
             throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/CloneNotSupportedException.html" title="class or interface in java.lang">CloneNotSupportedException</A></PRE>
<DL>
<DD>Clones this collection of parameters. Please note that paramter values
 themselves are not cloned.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/CloneNotSupportedException.html" title="class or interface in java.lang">CloneNotSupportedException</A></CODE><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io"><CODE>Serializable</CODE></A>, 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang"><CODE>Object.clone()</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultHttpParams.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/params/DefaultHttpParamsFactory.html" title="class in org.apache.commons.httpclient.params"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/params/DefaultHttpParams.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultHttpParams.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
